package org.fortiss.tooling.kernel;

import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.fortiss.tooling.kernel.internal.ServiceManager;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle.
 */
public class ToolingKernelActivator extends AbstractUIPlugin {

	/** The plug-in ID. */
	public static final String PLUGIN_ID = "org.fortiss.tooling.kernel"; //$NON-NLS-1$

	/** The shared instance. */
	private static ToolingKernelActivator plugin;

	/** Constructor. */
	public ToolingKernelActivator() {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;

		ServiceManager.start();
	}

	/** {@inheritDoc} */
	@Override
	public void stop(BundleContext context) throws Exception {
		ServiceManager.stop();

		plugin = null;
		super.stop(context);
	}

	/** Returns the shared instance. */
	public static ToolingKernelActivator getDefault() {
		return plugin;
	}
}
